Berkeley DB version 4.2.52

## com.sleepycat.bdb
Class KeyRangeException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--java.lang.IllegalArgumentException
                              |
                              +--com.sleepycat.bdb.KeyRangeException

All Implemented Interfaces:
  Serializable

public class KeyRangeException
extends IllegalArgumentException

(internal) An exception thrown when a key is out of range.

NOTE: This classes is internal and may be changed incompatibly or deleted in the future. It is public only so it may be used by subpackages.

See Also:
  Serialized Form

Constructor Summary
`KeyRangeException(String msg)` Creates a key range exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KeyRangeException

    public KeyRangeException(String msg)

  Creates a key range exception.

Berkeley DB version 4.2.52

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.